Results 1 to 8 of 8

Thread: Updating amarok with zypper

  1. #1

    Talking Updating amarok with zypper

    I added Index of /repositories/KDE:/Backports/openSUSE_11.2

    The opensuse.org says: If you just want the latest versions of e.g. amarok, digikam etc. you don't need to upgrade all of KDE, just add the Backports repo maintained by the openSUSE KDE Team.

    I want to update the Amarok to the new version (2.3) with zypper but I cant.


    linux-5kpn:/home/saeed # sudo zypper wp amarok
    Loading repository data...
    Reading installed packages...
    S | Name | Type | Version | Arch | Repository
    --+--------+---------+-----------+------+------------------
    v | amarok | package | 2.3.0-6.1 | i586 | Backport
    i | amarok | package | 2.1.1-7.6 | i586 | openSUSE-11.2-Oss



    I tried
    Code:
    zypper install --repo Backport amarok
    And I get:
    saeed@linux-5kpn:~> sudo zypper install --repo Backport amarok
    Loading repository data...
    Reading installed packages...
    'amarok' is already installed.
    Resolving package dependencies...


    Please help.
    openSUSE.ir

  2. #2
    Join Date
    Jun 2008
    Location
    The English Lake District. UK - GMT/BST
    Posts
    36,733
    Blog Entries
    20

    Default Re: Updating amarok with zypper

    Please post

    Code:
    zypper lr -d
    Leap 15.1_KDE
    My Articles Was I any help? If yes: Click the star below

  3. #3
    Join Date
    Mar 2010
    Location
    London, UK
    Posts
    75

    Default Re: Updating amarok with zypper

    Did you try removing amarok first ?

    Code:
    zypper rm amarok
    &

    Code:
    zypper in Backport:amarok
    Samsung RV510 + openSUSE 12.1 64bit + KDE 4.7.2

  4. #4

    Default Re: Updating amarok with zypper

    I don wanna Remove, then Install new version.
    Look, when you choose "Update" for some packages in Yast |Software Manager, it only installs new versions and it doesnt remove any older package. What's behind this kind of updating with Yats?
    I need what Yast does!
    Anyone knows?
    openSUSE.ir

  5. #5
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,747

    Default Re: Updating amarok with zypper

    updating and changing is two different things. Updates are patches normally.

    If you try to install two different version you will likely tun into problems. I suspect the Yast removes the old package and replaces with new. In any case you could do it from Yast. You just need the repository.

  6. #6

    Default Re: Updating amarok with zypper

    Yast doesnt remove anything.
    If it removes, when you click Accept, it shows what is doing. There is no "Removing x" .
    Please help, I want to do it with zypper.
    openSUSE.ir

  7. #7
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,854
    Blog Entries
    14

    Default Re: Updating amarok with zypper

    Something's going terribly wrong here. AFAIK the Backport repo is for KDE, not KDE4 .......
    If you want the latest Amarok, you need the Community and Playground repo's for your openSUSE&KDE4 version.

    Like Caf wrote, post output of
    Code:
    zypper lr -d
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  8. #8

    Default Re: Updating amarok with zypper

    Code:
    zypper in $PACKAGENAME=$VERSION # all versions
    
    zypper in $PACKAGENAME-$VERSION # zypper >= 1.2.8 from 11.2 not sure with older version
    Even:

    Code:
    zypper in $PACKAGENAME-$VERSION-$RELEASE.$ARCH
    will work.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •